<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGeoLocationReq StructType
 * @subpackage Structs
 */
class AddGeoLocationReq extends APIRequest
{
    /**
     * The geoLocation
     * @var XGeoLocation
     */
    public $geoLocation;
    /**
     * Constructor method for AddGeoLocationReq
     * @uses AddGeoLocationReq::setGeoLocation()
     * @param XGeoLocation $geoLocation
     */
    public function __construct(XGeoLocation $geoLocation = null)
    {
        $this
            ->setGeoLocation($geoLocation);
    }
    /**
     * Get geoLocation value
     * @return XGeoLocation|null
     */
    public function getGeoLocation()
    {
        return $this->geoLocation;
    }
    /**
     * Set geoLocation value
     * @param XGeoLocation $geoLocation
     * @return AddGeoLocationReq
     */
    public function setGeoLocation(XGeoLocation $geoLocation = null)
    {
        $this->geoLocation = $geoLocation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGeoLocationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
